## udoo-web-conf 0.3.1

=== public/ardublockly/package/requirements.txt ===
mkdocs>=0.12.1
py2exe>=0.6.9

=== public/ardublockly/package/pyinstaller/bootloader/wscript ===
#! /usr/bin/env python
#-----------------------------------------------------------------------------
# Copyright (c) 2013, PyInstaller Development Team.
#
# Distributed under the terms of the GNU General Public License with exception
# for distributing bootloader.
#
# The full license is in the file COPYING.txt, distributed with this software.
#-----------------------------------------------------------------------------


"""
Bootloader building script.
"""


import os
import platform
import sys

# Workaround for Python 2.6. 'sysconfig' is not available in Python 2.6.
try:
    import sysconfig
except ImportError:
    import distutils.sysconfig as sysconfig

import Utils
import Options


# the following two variables are used by the target "waf dist"
VERSION=''
APPNAME=''


# these variables are mandatory ('/' are converted automatically)
top = '.'
out = 'build'


# TODO use following variable only on darwin and for 32bit loader.
# OS X 10.5 doesn't understand the load command  'LC_DYLD_INFO_ONLY'
# that is used by the OS X 10.6 linker.
# The following variable fixes 10.5 compatibility.
os.environ['MACOSX_DEPLOYMENT_TARGET'] = '10.5'


# TODO strip created binaries.


def set_options(opt):
    myplatform = Utils.detect_platform()
    
    if not myplatform.startswith('win'):
        opt.add_option('--leak-detector',
                action = 'store_true',
                help = 'Link with Boehm garbage collector to detect memory leaks.',
                default = False,
                dest = 'boehmgc')

    if myplatform.startswith('linux'):
        opt.add_option('--no-lsb',
                action = 'store_true',
                help = 'Prevent building LSB (Linux Standard Base) bootloader.',
                default = False,
                dest = 'nolsb')
        opt.add_option('--lsbcc-path',
                action = 'store',
                help = 'Path to lsbcc. By default PATH is searched for lsbcc otherwise is tried file /opt/lsb/bin/lsbcc. [Default: lsbcc]',
                default = 'lsbcc',
                dest = 'lsbcc_path')
        opt.add_option('--lsb-target-version',
                action = 'store',
                help = 'Specify LSB target version [Default: 4.0]',
                default = '4.0',
                dest = 'lsb_version')

    opt.tool_options('compiler_cc')


def configure(conf):

    def achitecture():
        return '32bit'

    conf.env.NAME = 'default'

    opt = Options.options
    myplatform = Utils.detect_platform()

    # on 64bit Mac function platform.architecture() returns 64bit even
    # for 32bit Python. This is the workaround for this.
    if myplatform == 'darwin' and sys.maxint <= 3**32:
        myarch = '32bit'
    else:
        myarch = platform.architecture()[0] # 32bit or 64bit
    conf.env.MYARCH = myarch

    # Differenciate path to bootloader with machine name if necessary.
    mymach = platform.machine()
    if mymach.startswith('arm'):
        mymach = 'arm'
    else:
        # Assume x86/x86_64 machine.
        mymach = None
    conf.env.MYMACHINE = mymach


    Utils.pprint('CYAN', '%s-%s detected' % (platform.system(), myarch))

    if myplatform == 'darwin' and myarch == '64bit':
        Utils.pprint('CYAN', 'WARNING: Building bootloader for Python 64-bit on Mac OSX')
        Utils.pprint('CYAN', 'For 32b-bit bootloader prepend the python command with:')
        Utils.pprint('CYAN', 'VERSIONER_PYTHON_PREFER_32_BIT=yes arch -i386 python')

    if myplatform.startswith('linux') and not opt.nolsb:
        Utils.pprint('CYAN', 'Building LSB bootloader.')

    ### C compiler

    if myplatform.startswith('win'):
        try:
            # mingw (gcc for Windows)
            conf.check_tool('gcc')
        except:
            try:
                # Newest detected MSVC version is used by default.
                # msvc 7.1 (Visual Studio 2003)
                # msvc 8.0 (Visual Studio 2005)
                # msvc 9.0 (Visual Studio 2008)
                conf.env['MSVC_VERSIONS'] = ['msvc 7.1', 'msvc 8.0', 'msvc 9.0', 'wsdk 7.0', 'wsdk 7.1']
                if myarch == '32bit':
                    conf.env['MSVC_TARGETS'] = ['x86', 'ia32']
                elif myarch == '64bit':
                    conf.env['MSVC_TARGETS'] = ['x64', 'x86_amd64', 'intel64', 'em64t']
                conf.check_tool('msvc')
                conf.print_all_msvc_detected()
                # Do not embed manifest file.
                # Manifest file will be added in the phase of packaging python application.
                conf.env.MSVC_MANIFEST = False
            except Exception, e:
                print(e)
                Utils.pprint('RED', str(e))
                Utils.pprint('RED', 'GCC (MinGW) or MSVC compiler not found.')
                exit(1)
        else:
            # When using GCC, deactivate declarations after statements
            # (not supported by Visual Studio)
            conf.env.append_value('CCFLAGS', '-Wdeclaration-after-statement')
            conf.env.append_value('CCFLAGS', '-Werror')

    else:
        conf.check_tool('compiler_cc')


    ### build LSB (Linux Standard Base) boot loader
    if myplatform.startswith('linux') and not opt.nolsb:
        try:
            # custom lsbcc path
            if opt.lsbcc_path != 'lsbcc':
                conf.env.LSBCC = conf.find_program(opt.lsbcc_path, mandatory=True)
            # default values
            else:
                conf.env.LSBCC = conf.find_program(opt.lsbcc_path)
                if not conf.env.LSBCC:
                    conf.env.LSBCC = conf.find_program('/opt/lsb/bin/lsbcc',
                            mandatory=True)
        except:
            Utils.pprint('RED', 'LSB (Linux Standard Base) tools >= 4.0 are required.')
            Utils.pprint('RED', 'Try --no-lsb option if not interested in building LSB binary.')
            exit(2)
        # lsbcc as CC compiler
        conf.env.append_value('CCFLAGS', '--lsb-cc=%s' % conf.env.CC[0])
        conf.env.append_value('LINKFLAGS', '--lsb-cc=%s' % conf.env.CC[0])
        conf.env.CC = conf.env.LSBCC
        conf.env.LINK_CC = conf.env.LSBCC
        ## check LSBCC flags
        # --lsb-besteffort - binary will work on platforms without LSB stuff
        # --lsb-besteffort - available in LSB build tools >= 4.0
        conf.check_cc(ccflags='--lsb-besteffort',
                msg='Checking for LSB build tools >= 4.0',
                errmsg='LSB >= 4.0 is required', mandatory=True)
        conf.env.append_value('CCFLAGS', '--lsb-besteffort')
        conf.env.append_value('LINKFLAGS', '--lsb-besteffort')
        # binary compatibility with a specific LSB version
        # LSB 4.0 can generate binaries compatible with 3.0, 3.1, 3.2, 4.0
        # however because of using function 'mkdtemp', loader requires
        # using target version 4.0
        lsb_target_flag = '--lsb-target-version=%s' % opt.lsb_version
        conf.env.append_value('CCFLAGS', lsb_target_flag)
        conf.env.append_value('LINKFLAGS', lsb_target_flag)


    ### Defines, Includes

    if myplatform.startswith('lin'):
        # make sure we don't use declarations after statement (break Visual Studio)
        conf.env.append_value('CCFLAGS', '-Wdeclaration-after-statement')
        conf.env.append_value('CCFLAGS', '-Werror')

    if not myplatform.startswith('win'):
        # Defines common for Unix and Unix-like platforms.
        # For details see:
        #   http://man.he.net/man7/feature_test_macros
        #
        ## Without these definitions compiling maight fail on OSX.
        conf.env.append_value('CCDEFINES', '_POSIX_C_SOURCE=200112L')
        # SUS v2 (UNIX 98) definitions.
        #   Mac OS X 10.5 is UNIX 03 compliant.
        conf.env.append_value('CCDEFINES', '_XOPEN_SOURCE=500')
        conf.env.append_value('CCDEFINES', '_REENTRANT')
        # Function 'mkdtemp' is available only if _BSD_SOURCE is defined.
        conf.env.append_value('CCDEFINES', '_BSD_SOURCE')
        

    if myplatform.startswith('win'):
        conf.env.append_value('CCDEFINES', 'WIN32')
        conf.env.append_value('CPPPATH', '../zlib')

    if myplatform.startswith('sun'):
        conf.env.append_value('CCDEFINES', 'SUNOS')

        if conf.env.CC_NAME == 'gcc':
            # On Solaris using gcc the linker options for shared and static libraries
            # are slightly different from other platforms.
            conf.env['SHLIB_MARKER'] = '-Wl,-Bdynamic'
            conf.env['STLIB_MARKER'] = '-Wl,-Bstatic'

    if myplatform.startswith('aix'):
        conf.env.append_value('CCDEFINES', 'AIX')

        # On AIX some APIs are restricted if _ALL_SOURCE is not defined.
        # In the case of PyInstaller, we need the AIX specific flag RTLD_MEMBER
        # for dlopen() which is used to load a shared object from a library
        # archive. We need to load the Python library like this:
        #  dlopen("libpython2.7.a(libpython2.7.so)", RTLD_MEMBER)
        conf.env.append_value('CCDEFINES', '_ALL_SOURCE')

        if conf.env.CC_NAME == 'gcc':
            # On AIX using gcc the linker options for shared and static libraries
            # are slightly different from other platforms.
            conf.env['SHLIB_MARKER'] = '-Wl,-bdynamic'
            conf.env['STATICLIB_MARKER'] = '-Wl,-bstatic'

    conf.env.append_value('CPPPATH', os.path.join('..', 'common'))


    ### Libraries

    if myplatform.startswith('win'):
        conf.check_cc(lib='user32', mandatory=True)
        conf.check_cc(lib='comctl32', mandatory=True)
        conf.check_cc(lib='kernel32', mandatory=True)
        conf.check_cc(lib='ws2_32', mandatory=True)

    else:
        if not sys.platform.startswith('freebsd'):  # FreeBSD doesn't need libdl
            conf.check_cc(lib='dl', mandatory=True)
        elif sysconfig.get_config_vars('HAVE_PTHREAD_H').pop(): # link to libthr on FreeBSD
            conf.check_cc(lib='thr', mandatory=True)
        conf.check_cc(lib='z', mandatory=True)
        if conf.check_cc(function_name='readlink', header_name='unistd.h'):
            conf.env.append_value('CCFLAGS', '-DHAVE_READLINK')

        # This uses Boehm GC to manage memory - it replaces malloc() / free()
        # functions. Some messages are printed if memory is not deallocated.
        if opt.boehmgc:
            conf.check_cc(lib='gc', mandatory=True)
            conf.env.append_value('CCDEFINES', 'PYI_LEAK_DETECTOR')
            conf.env.append_value('CCDEFINES', 'GC_FIND_LEAK')
            conf.env.append_value('CCDEFINES', 'GC_DEBUG')
            conf.env.append_value('CCDEFINES', 'SAVE_CALL_CHAIN')

    ### ccflags

    if myplatform.startswith('win') and conf.env.CC_NAME == 'gcc':
        # Disables console - MinGW option
        conf.check_cc(ccflags='-mwindows', mandatory=True,
                msg='Checking for flags -mwindows')
        # Use Visual C++ compatible alignment
        conf.check_cc(ccflags='-mms-bitfields', mandatory=True,
                msg='Checking for flags -mms-bitfields')
        conf.env.append_value('CCFLAGS', '-mms-bitfields')

    elif myplatform.startswith('win') and conf.env.CC_NAME == 'msvc':
        if myarch == '32bit':
            conf.env.append_value('LINKFLAGS', '/MACHINE:X86')
        elif myarch == '64bit':
            conf.env.append_value('LINKFLAGS', '/MACHINE:X64')
        # Enable 64bit porting warnings and other warnings too.
        conf.env.append_value('CCFLAGS', '/W3')
        # We use SEH exceptions in winmain.c; make sure they are activated.
        conf.env.append_value('CCFLAGS', '/EHa')
    
    # Compile with 64bit gcc 32bit binaries or vice versa.
    if conf.env.CC_NAME == 'gcc' and platform.machine() != 'sw_64':
        if myarch == '32bit' and conf.check_cc(ccflags='-m32', msg='Checking for flags -m32'):
            conf.env.append_value('CCFLAGS', '-m32')
        elif myarch == '64bit':
            conf.env.append_value('CCFLAGS', '-m64')

    # Ensure proper architecture flags on Mac OS X.

=== public/ardublockly/package/pyinstaller/doc/source/Makefile ===
#
# Generate PyInstaller documentation
#

.PHONY: all doc pdf man html clean cleanall cleanlogs

all:
	@echo "make doc   ===> To generate html and pdf of the documentation and man pages"
	@echo "make html  ===> To generate a html of the documentation"
	@echo "make pdf   ===> To generate a pdf of the documentation"
	@echo "make man   ===> To generate man pages documentation"


doc: html pdf man cleanlogs
	@echo "Documentation generated: Please see ../*.html, ../*.pdf and ../*.1 for files"

manpages := pyinstaller pyi-makespec pyi-build pyi-make_comserver

html: ../Manual.html $(foreach manpage,${manpages},../${manpage}.html)
pdf: ../Manual.pdf
man: $(foreach manpage,${manpages},../${manpage}.1)

../%.1: %.rst docutils-man.conf docutils.conf _definitions.txt
	rst2man.py --config=docutils-man.conf $< $@

../%.html: %.rst docutils.conf _definitions.txt
	rst2html --config=docutils.conf $< $@

Manual.rst: _pyinstaller-options.tmp
pyinstaller.rst: _pyinstaller-options.tmp
pyi-makespec.rst: _pyi-makespec-options.tmp
pyi-build.rst: _pyi-build-options.tmp
pyi-make_comserver.rst: _pyi-make_comserver-options.tmp

_pyinstaller-options.tmp: ../../pyinstaller.py
	./help2rst $< > $@

_pyi-%-options.tmp: ../../utils/%.py
	./help2rst $< > $@

# rst2pdf need to find some images *and* the include-files in the
# same dircectory, so copy the include-files up there.
../Manual.pdf: srcdir=$(dir $(abspath $<))
../Manual.pdf: Manual.rst _definitions.txt _pyinstaller-options.tmp
	cp _definitions.txt _pyinstaller-options.tmp ..
	cd ${srcdir}/.. && \
	rst2pdf < ${srcdir}/$< \
	   --header='###Title### - ###Section###' \
	   --footer='###Page###' \
	   --default-dpi=75 | \
	gs -q -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pdfwrite \
	   '-sOutputFile=${srcdir}/$@' -c save pop -
	rm ../_definitions.txt ../_pyinstaller-options.tmp

_definitions.txt:
	@echo Overwritung '_definitions.txt'
	@echo '.. -*- mode: rst ; ispell-local-dictionary: "american" -*-' > $@
	@echo '' >> $@  # Empty line.
	@# Append other lines.
	@echo '.. _PyInstaller: http://www.pyinstaller.org' >> $@
	@echo '' >> $@
	@echo '.. |Homepage| replace:: http://www.pyinstaller.org' >> $@
	@echo '.. |PyInstaller| replace:: `PyInstaller`' >> $@
	@# run `pyinstaller.py -v` to get the version
	@echo '.. |Version| replace::' `python ../../pyinstaller.py -v` >> $@
	@echo '.. |PyInstallerVersion| replace:: PyInstaller |Version|' >> $@
	@echo '.. |install_path| replace:: /OBSOLETE-REMOVE/' >> $@
	@# folder name of package after download and unzip
	@echo '.. |unzipped_download| replace:: ``pyinstaller``' >> $@
	@# how we punctuate boot loader as a proper noun "the bootloader"
	@echo '.. |bootloader| replace:: bootloader' >> $@

clean:
	@echo "make cleanall  ===> To clean everything"
	@echo "make cleanlogs ===> To clean *.log, *.aux, etc. but not the .html or .pdf"


cleanall: cleanlogs
	@# Checkout last commited version to avoid '-mod' postfix in version
	git checkout --quiet --force -- ../*.pdf ../*.html
	rm -f ../*.1
	rm -f _definitions.txt _*-options.tmp
	@echo "All generated documentation removed."


cleanlogs:
	rm -f ../*.aux ../*.out ../*.log
	rm -f .log *.log
	@echo "All logs and aux removed."

#
# END OF FILE
#

=== debian/changelog ===
udoo-web-conf (0.3.1-1) trusty; urgency=medium

  * Corrected captions
  * Fixed Tutorial link for QDL

 -- Ettore Chimenti <ek5.chimenti@gmail.com>  Thu, 21 Jul 2016 13:33:29 +0000

udoo-web-conf (0.3.0-6) trusty; urgency=medium

  * Remove ardublockly shortcut for non-supported platforms

 -- Ettore Chimenti <ek5.chimenti@gmail.com>  Thu, 07 Apr 2016 12:59:37 +0000

udoo-web-conf (0.3.0-5) trusty; urgency=medium

  * Fixed desktop shortcuts and added images
  * Added /usr/sbin to PATH
  * Building release

 -- Ettore Chimenti <ek5.chimenti@gmail.com>  Thu, 07 Apr 2016 12:59:37 +0000

udoo-web-conf (0.3.0-3) trusty; urgency=medium

  * Building release

 -- Ettore Chimenti <ek5.chimenti@gmail.com>  Thu, 24 Mar 2016 14:52:10 +0000

udoo-web-conf (0.3.0-2) trusty; urgency=medium

  [ Francesco Montefoschi ]
  * New UI
  * Improved WiFi selection
  * Added regional settings, password management, video and M4 core selection
  * Integrated Ardublockly

 -- Ettore Chimenti <ek5.chimenti@gmail.com>  Thu, 17 Mar 2016 16:37:46 +0000

udoo-web-conf (0.2.1-1) trusty; urgency=medium

  * New version, see Vcs log

 -- Ettore Chimenti <ek5.chimenti@gmail.com>  Thu, 10 Dec 2015 18:29:01 +0100

udoo-web-conf (0.2.0-1ubuntu1) trusty; urgency=medium

  * New version, see Vcs log

 -- Ettore Chimenti <ek5.chimenti@gmail.com>  Wed, 09 Dec 2015 16:15:06 +0100

udoo-web-conf (0.1.0-1ubuntu1) trusty; urgency=medium

  * Updated install scripts

 -- Ettore Chimenti <ek5.chimenti@gmail.com>  Tue, 17 Nov 2015 12:22:48 +0100

udoo-web-conf (0.1.0-1) trusty; urgency=low

  * Initial release 

 -- Ettore Chimenti <ek5.chimenti@gmail.com>  Wed, 11 Nov 2015 18:24:48 +0100

=== debian/control ===
Source: udoo-web-conf
Section: utils
Priority: optional
Maintainer: Ettore Chimenti <ek5.chimenti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), npm
Standards-Version: 3.9.5
Homepage: http://www.udoo.org
Vcs-Browser: https://github.com/UDOOboard/udoo-web-conf/

Package: udoo-web-conf
Architecture: all
Depends: ${misc:Depends}, udoo-web-docs, nodejs (>=5.7),
 udoo-web-conf-modules (= ${source:Version}), network-manager, dtweb
Description: UDOO Neo Web Configurator
 This tool is designed to allow easy configuration and act as an handy web-based
 control panel for UDOO NEO.

Package: udoo-web-conf-modules
Architecture: armhf
Depends: ${misc:Depends}, nodejs (>=5.7)
Description: UDOO Neo Web Configurator - Node modules
 This tool is designed to allow easy configuration and act as an handy web-based
 control panel for UDOO NEO.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	npm install
	dh_auto_build

override_dh_clean:
	rm -rf node_modules
	dh_clean 

override_dh_install:
	dh_install
	rm -rf debian/udoo-web-conf/opt/udoo-web-conf/public/ardublockly/ardublockly/classic
	rm -rf debian/udoo-web-conf/opt/udoo-web-conf/public/ardublockly/ardublockly/font
	rm -rf debian/udoo-web-conf/opt/udoo-web-conf/public/ardublockly/ardublockly/img
	rm -rf debian/udoo-web-conf/opt/udoo-web-conf/public/ardublockly/ardublockly/materialize
	rm -rf debian/udoo-web-conf/opt/udoo-web-conf/public/ardublockly/ardublocklyserver
	rm -rf debian/udoo-web-conf/opt/udoo-web-conf/public/ardublockly/blockly/appengine
	rm -rf debian/udoo-web-conf/opt/udoo-web-conf/public/ardublockly/blockly/blocks
	rm -rf debian/udoo-web-conf/opt/udoo-web-conf/public/ardublockly/blockly/core
	rm -rf debian/udoo-web-conf/opt/udoo-web-conf/public/ardublockly/blockly/demos
	rm -rf debian/udoo-web-conf/opt/udoo-web-conf/public/ardublockly/blockly/generators
	rm -rf debian/udoo-web-conf/opt/udoo-web-conf/public/ardublockly/blockly/i18n
	rm -rf debian/udoo-web-conf/opt/udoo-web-conf/public/ardublockly/blockly/msg/json
	rm -rf debian/udoo-web-conf/opt/udoo-web-conf/public/ardublockly/blockly/tests
	rm -rf debian/udoo-web-conf/opt/udoo-web-conf/public/ardublockly/closure-library
	rm -rf debian/udoo-web-conf/opt/udoo-web-conf/public/ardublockly/package

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/udoo-web-conf-$1\.tar\.gz/ \
  https://github.com/UDOOboard/udoo-web-conf/tags .*/v?(\d\S*)\.tar\.gz
